Table of Contents

Class: Task | Twisted-0.17.4/twisted/internet/task.py
--- | ---

### I am a set of steps that get executed.

Each "step" is a method to call and some arguments to call it with. I am to be used with the Scheduler class - after each step is called I will readd myself to the scheduler if I still have steps to do.

Methods |
--- | ---
__call__ __init__ addWork
| __call__

    __call__ ( self )

| __init__

    __init__ (
            self,
            steps=None,
            scheduler=theScheduler,
            )

Create a Task.

| addWork

    addWork (
            self,
            callable,
            *args,
            *kw,
            )

Table of Contents

This document was automatically generated on Sat Apr 20 01:30:49 2002 by HappyDoc version 2.0